/**
 * optionsDialog.js
 * Copyright (C) 2007-2009  Tommi Rautava
 * 
 * This file is part of Popomungo.
 *
 * Popomungo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Popomungo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

var pm_OptionsDialog = {
	userOptionsPaneIsLoaded: false,
	
	onLoad: function onLoad() {
		pm_Logger.debug("pm_OptionsDialog onLoad event");

		return true;
	},
	
	onDialogAccept: function onDialogAccept() {
		try {
			pm_Logger.debug("onDialogAccept event");

			// Store the current character options.
			if (pm_OptionsDialog.userOptionsPaneIsLoaded) {
				pm_UserOptions.userOptionsApply();
			}
		}
		catch (err) {
			pm_Logger.logError(err);
		}
		
		return true;
	}
	
};

pm_Logger.log("pm_OptionsDialog loaded");

// EOF